Bug 20082 - Change Microdata specification track to W3C Note
Change Microdata specification track to W3C Note
Status: RESOLVED WONTFIX
Product: HTML WG
Classification: Unclassified
Component: CR HTML Microdata (editor: Ian Hickson)
unspecified
All All
: P2 critical
: CR
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
: WGDecision
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 01:35 UTC by Manu Sporny
Modified: 2013-01-26 16:12 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manu Sporny 2012-11-26 01:35:01 UTC
There is more confusion today about picking Microdata or RDFa because they accomplish the same thing in effectively the same way.

It is typically a bad idea to have two formats published by the same organization that do the same thing. It leads to Web developer confusion surrounding which format to use. One of the goals of Web standards is to reduce, or preferably eliminate, the confusion surrounding the correct technology decision to make. 

If we step back and look at the technical arguments, there is no compelling reason that Microdata should be a W3C Recommendation. There is no compelling reason to have two specifications that do the same thing in almost exactly the same way. Therefore, as a member of the HTML Working Group (not as a chair or editor of RDFa) I object to the publication of Microdata as a Candidate Recommendation.

The details and argumentation that led to this objection can be found in the HTML WG mailing list archive:

http://lists.w3.org/Archives/Public/public-html/2012Nov/0177.html
Comment 1 Manu Sporny 2012-11-26 01:35:45 UTC
I request that this issue is resolved before Microdata transitions to the Candidate Recommendation phase.
Comment 2 Ian 'Hixie' Hickson 2012-11-26 04:20:12 UTC
Seems like it'd be better to take RDFa off the REC track. :-)
Comment 3 Manu Sporny 2012-11-26 04:50:44 UTC
Nah, I'd rather see it the other way around... but thanks for the suggestion. :P
Comment 4 Michael[tm] Smith 2012-11-26 22:12:37 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: No change.
Rationale: The Microdata specification is proceeding on the W3C Recommendation track per a documented decision by the HTML WG that followed lengthy discussion about a previous working-group issue, ISSUE-76, which was resolved by the group explicitly deciding not to "pick a winner" between HTML Microdata and HTML+RDFa; http://lists.w3.org/Archives/Public/public-html/2010Jan/att-0218/issue-76-decision.html
Among the information put forward that influenced that decision was a change proposal that persuasively argued for an '"allowing many flowers to bloom" strategy instead of the "Mad Max" "two enter, one leaves" fight-to-the-death strategy'. http://lists.w3.org/Archives/Public/public-html/2009Dec/0299.html
Comment 5 Manu Sporny 2012-11-27 20:45:33 UTC
The question before the HTML WG at the time was whether or not to split Microdata out of the HTML5 specification, not the publishing track for the Microdata document.

At the time the decision was made, RDFa Lite 1.1 did not exist, RDFa Lite 1.1 was not a W3C Recommendation, nor did the RDFa and Microdata functionality so greatly overlap as they do now.

The decision states the following under the "Revisiting the issue" section:

"If Microdata and RDFa converge in syntax..."

Since Microdata can be interpreted as RDFa based on a simple search-and-replace of attributes that the languages have effectively converged on syntax except for the attribute names.

The proposal is not to have work on Microdata stopped. I am not suggesting we switch to the "Mad Max" option. Let work on Microdata proceed in this group, but let it proceed on the W3C Note publication track.

I request that this issue is escalated to an HTML WG issue.
Comment 6 Manu Sporny 2012-11-27 20:55:59 UTC
Tracker Title: Change publication track of Microdata to W3C Note

Tracker Text:

Ratifying two completely different specifications, RDFa and Microdata, that accomplish the same thing in basically the same way is a failure of the standardization process. The functionality of RDFa, which is already a
W3C Recommendation, overlaps Microdata by a large margin. RDFa Lite 1.1 was developed as a plug-in replacement for Microdata. Since Microdata can be interpreted as RDFa based on a simple search-and-replace of attributes that the languages have effectively converged on syntax except for the attribute names.

The full version of RDFa can also do a number of things that Microdata cannot, such as datatyping, associating more than one type per object, embed-ability in languages other than HTML, ability to easily publish and mix vocabularies, etc.

The HTML WG should not publish a specification on the REC track that already does the same thing in almost exactly the same way as another specification published by the W3C on the REC track. Change the publication track of Microdata to a W3C Note. This allows further development of the spec, use of the spec in the marketplace, and the opportunity to make it a REC in the future if the need arises.